%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-openid
Version:        2.2.1
Release:        1%{?dist}
Summary:        Python OpenID libraries

Group:          Development/Languages
License:        ASL 2.0
URL:            http://www.openidenabled.com/python-openid/
Source0:	http://openidenabled.com/files/python-openid/packages/python-openid-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
BuildRequires:  python-lxml
BuildRequires:  Django
Requires:       python-lxml

%description
The OpenID library with batteries included.

Features of the 2.x.x series include:

 * Refined and easy-to-use API.
 * Extensive documentation.
 * Many storage implemetations including file-based, sqlite,
   postgresql, and mysql.
 * Simple examples to help you get started.
 * Licensed under the Apache Software License.
 * Includes a Simple Registration API
 * Versions 1.x.x supports protocol version 1; versions 2.x.x support
   both major OpenID protocol versions transparently

%prep
%setup -q
find . -type f | xargs chmod a-x

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

#%check
#%{__python} admin/runtests

%install
rm -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc background-associations.txt CHANGELOG LICENSE NEWS README doc examples
%{python_sitelib}/*

%changelog
* Mon Jul  7 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.1-1
- Update to 2.2.1

* Fri Jun  6 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.0-1
- Update to 2.2.0

* Sat Dec 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.1.1-2
- Ensure that python-lxml is present for ElementTree API support.

* Sat Dec 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.1.1-1
- Update to 2.1.1

* Thu Apr 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.0-1
- Update to 1.2.0

* Tue Dec  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.1-1
- First version for Fedora Extras

